Subject: [multipathtcp] charter discussion

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 31 Mar 2017 10:53:00 -0500

Hi all,

Regarding the charter discussions that happened at the mptcp session on
Thursday March 30, I asked a question but I could not understand the
answer, let me ask it again.

In chairs slides page 12, TCP SYN shown in Option 1 and Option 2 actually
were different although the slides seems to show that they are the same.

In Option 1, if the proxy sends TCP SYN than is it OK in a conversation the
destination does not know who the source is?

In Option 2, if TCP SYN sent was the original TCP SYN from the source then

how come the TCP-ACK goes through the proxy?
A node sending a packet without its address as source address means it is
router, right?

Regards,

Behcet